import { FileDetails } from '../models/file-details.model';
import { Dictionary } from '../models/dictionary';
import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import { Observable } from 'rxjs/Observable';
export declare class GlobalsService {
    private http;
    defaultModule: string;
    defaultTestModule: string;
    XMLList: Dictionary<FileDetails>;
    constructor(http: Http);
    getDefaultModulePath(): Observable<string>;
    getDefaultTestModulePath(): Observable<string>;
}
